org.richfaces.component

## Enum UIToolbar.Properties

- java.lang.Object
- - java.lang.Enum<UIToolbar.Properties>
  - - org.richfaces.component.UIToolbar.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIToolbar.Properties>
  Enclosing class:
    UIToolbar

      protected static enum UIToolbar.Properties
      extends Enum<UIToolbar.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `height`
    `itemClass`
    `itemSeparator`
    `itemStyle`
    `onitemclick`
    `onitemdblclick`
    `onitemkeydown`
    `onitemkeypress`
    `onitemkeyup`
    `onitemmousedown`
    `onitemmousemove`
    `onitemmouseout`
    `onitemmouseover`
    `onitemmouseup`
    `style`
    `styleClass`
    `title`
    `width`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIToolbar.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIToolbar.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### height

          public static final UIToolbar.Properties height

    - #### itemClass

          public static final UIToolbar.Properties itemClass

    - #### itemSeparator

          public static final UIToolbar.Properties itemSeparator

    - #### itemStyle

          public static final UIToolbar.Properties itemStyle

    - #### onitemclick

          public static final UIToolbar.Properties onitemclick

    - #### onitemdblclick

          public static final UIToolbar.Properties onitemdblclick

    - #### onitemkeydown

          public static final UIToolbar.Properties onitemkeydown

    - #### onitemkeypress

          public static final UIToolbar.Properties onitemkeypress

    - #### onitemkeyup

          public static final UIToolbar.Properties onitemkeyup

    - #### onitemmousedown

          public static final UIToolbar.Properties onitemmousedown

    - #### onitemmousemove

          public static final UIToolbar.Properties onitemmousemove

    - #### onitemmouseout

          public static final UIToolbar.Properties onitemmouseout

    - #### onitemmouseover

          public static final UIToolbar.Properties onitemmouseover

    - #### onitemmouseup

          public static final UIToolbar.Properties onitemmouseup

    - #### style

          public static final UIToolbar.Properties style

    - #### styleClass

          public static final UIToolbar.Properties styleClass

    - #### title

          public static final UIToolbar.Properties title

    - #### width

          public static final UIToolbar.Properties width

  - ### Method Detail

    - #### values

          public static UIToolbar.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIToolbar.Properties c : UIToolbar.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIToolbar.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.